/*
 * FADE - Secure Overlay Cloud Storage with File Assured Deletion
 * Copyright (C) 2010  Yang Tang
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

/**
 * @file Common.h
 * @author Yang Tang
 * @brief Common definitions
 */

#ifndef FADE_COMMON_H
#define FADE_COMMON_H

const int DEFAULT_PORT = 52741;
const int BACKLOG = 3;
const int REQUEST_BUFFER_LENGTH = 256;
const int RESPONSE_BUFFER_LENGTH = 160;
const int POLICY_NAME_LENGTH = 128;
const int ADDRESS_LENGTH = 256;

#endif /* FADE_COMMON_H */
